Commit 8e017731 authored by Natanael Copa's avatar Natanael Copa

main/lua-xml: use install_if

parent a060ffa4
...@@ -3,7 +3,7 @@ _luaversions="5.1 5.2" ...@@ -3,7 +3,7 @@ _luaversions="5.1 5.2"
pkgname=lua-xml pkgname=lua-xml
_name=LuaXML _name=LuaXML
pkgver=130610 pkgver=130610
pkgrel=1 pkgrel=2
pkgdesc="a minimal set of functions for the processing of XML data in Lua" pkgdesc="a minimal set of functions for the processing of XML data in Lua"
url="http://viremo.eludi.net/LuaXML/index.html" url="http://viremo.eludi.net/LuaXML/index.html"
arch="all" arch="all"
...@@ -13,7 +13,6 @@ makedepends="" ...@@ -13,7 +13,6 @@ makedepends=""
install= install=
subpackages= subpackages=
for _v in $_luaversions; do for _v in $_luaversions; do
depends="$depends lua$_v-xml"
makedepends="$makedepends lua$_v-dev" makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-xml:split_${_v/./_}" subpackages="$subpackages lua$_v-xml:split_${_v/./_}"
done done
...@@ -58,6 +57,7 @@ package() { ...@@ -58,6 +57,7 @@ package() {
_split() { _split() {
local d= _ver=$1 local d= _ver=$1
pkgdesc="$pkgdesc for Lua $_ver" pkgdesc="$pkgdesc for Lua $_ver"
install_if="lua$_ver $pkgname=$pkgver-r$pkgrel"
depends= depends=
for d in usr/lib/lua usr/share/lua; do for d in usr/lib/lua usr/share/lua; do
if [ -d "$pkgdir"/$d/$_ver ]; then if [ -d "$pkgdir"/$d/$_ver ]; then
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment